Updates the working channel of an agent

PUT
/v1/agents/{agentId}/presence/working-channel

Updates the working channel of an agent

Authorization

ApiKeyAuth organization.member.presence.working_media
headerAuthorization<token>

Scope: organization.member.presence.working_media

Path Parameters

agentId*string

The agent id

Formatuuid

Request Body

The state of the agent presence channel

application/json
  1. body
channel*string

values: [Email, InteractiveChat, Messaging, Speak]

working*boolean

Response Body

The working channel of the agent was successfully updated

Example Request
curl -X PUT 'https://dev.dixa.io/v1/agents/{agentId}/presence/working-channel' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "channel": "Speak",  "working": false}'

Empty